<xml> </xml>

Better ListView Class Reference |

# DictionaryBase(TKey,TValue) Members

DictionaryBase(TKey,TValue) overview

#### Public Instance Properties

Count | Gets the number of elements contained in the ICollection`1.
IsReadOnly | Gets a value indicating whether the ICollection`1 is read-only.
IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Item | Gets or sets the element with the specified key.
Keys | Gets an ICollection`1 containing the keys of the IDictionary`2.
SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
Values | Gets an ICollection`1 containing the values in the IDictionary`2.

#### Public Instance Methods

Add | Overloaded. Adds an element with the provided key and value to the IDictionary`2.
Clear | Removes all items from the ICollection`1.
Contains | Determines whether the ICollection`1 contains a specific value.
ContainsKey | Determines whether the IDictionary`2 contains an element with the specified key.
CopyTo | Overloaded. Copies the elements of the ICollection to an Array, starting at a particular Array index.
EqualsContent | Check whether content of this dictionary equals content of the specified dictionary.
GetEnumerator | Returns an enumerator that iterates through the collection.
Remove | Overloaded. Removes the element with the specified key from the IDictionary`2.
TryGetValue | Gets the value associated with the specified key.

#### Protected Instance Constructors

DictionaryBase(TKey,TValue) | Overloaded. Initializes a new instance of the DictionaryBase(TKey,TValue) class.

#### Protected Instance Properties

InnerDictionary | Underlying dictionary.

#### See Also

DictionaryBase<TKey, TValue> Class | ComponentOwl.BetterListView Namespace